VisimBox 1.0 VisimBox 3d simulation and visualisation ToolBox

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
VisimBox.Renderer.IndexBufferManager Class Reference

Abstract base manager for index buffers. More...

Inheritance diagram for VisimBox.Renderer.IndexBufferManager:

List of all members.

## Public Member Functions
override void | Add (string key, IIndexBuffer value)
| Adds new already created index buffer to manager (use CreateBuffer to get correct index buffer!)
virtual void | Add (string key, int[] indices, ResourceUsage usage=ResourceUsage.Static)
| Creates new index buffer from int array.
abstract IIndexBuffer | CreateBuffer (int[] indices, ResourceUsage usage=ResourceUsage.Static)
virtual void | BindBuffer (string name)
| Binds index buffer for using in renderer.
abstract void | BindBuffer (IIndexBuffer vb)
| Binds index buffer for using in renderer.
abstract void | UnBindBuffer ()
| Unbinds buffer - sets current index buffer to null.

## Detailed Description

Abstract base manager for index buffers.

## Member Function Documentation

override void VisimBox.Renderer.IndexBufferManager.Add | ( | string | key,
|  | IIndexBuffer | value
| ) |  |

Adds new already created index buffer to manager (use CreateBuffer to get correct index buffer!)

Parameters:

  key | key
  value | Valid index buffer

virtual void VisimBox.Renderer.IndexBufferManager.Add | ( | string | key,
|  | int[] | indices,
|  | ResourceUsage | usage = `ResourceUsage.Static`
| ) |  | `[virtual]`

Creates new index buffer from int array.

Parameters:

  key |
  indices | indices containing data for indexbuffer

abstract void VisimBox.Renderer.IndexBufferManager.BindBuffer | ( | IIndexBuffer | vb | ) | `[pure virtual]`

Binds index buffer for using in renderer.

Parameters:

  vb | indexBuffer object

Implemented in VisimRenderGL.GLIndexManager.

virtual void VisimBox.Renderer.IndexBufferManager.BindBuffer | ( | string | name | ) | `[virtual]`

Binds index buffer for using in renderer.

Parameters:

  name | Name of the buffer

abstract IIndexBuffer VisimBox.Renderer.IndexBufferManager.CreateBuffer | ( | int[] | indices,
|  | ResourceUsage | usage = `ResourceUsage.Static`
| ) |  | `[pure virtual]`

abstract void VisimBox.Renderer.IndexBufferManager.UnBindBuffer | ( |  | ) | `[pure virtual]`

Unbinds buffer - sets current index buffer to null.

Implemented in VisimRenderGL.GLIndexManager.

The documentation for this class was generated from the following file:

- IndexBuffer.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events